package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_DESENSITIVE_FILED"
)
public class TCoreDesensitiveField extends TBaseEntity {
   private String project_id;
   private String datasystem_id;
   private String tschema;
   private String table_name;
   private String rule_id;
   private String table_field;
   @Column(
      columnDefinition = "text"
   )
   private String userids;
   @Transient
   private String rulename;
   @Transient
   private String dataarea;

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTable_name() {
      return this.table_name;
   }

   public void setTable_name(String table_name) {
      this.table_name = table_name;
   }

   public String getRule_id() {
      return this.rule_id;
   }

   public void setRule_id(String rule_id) {
      this.rule_id = rule_id;
   }

   public String getTable_field() {
      return this.table_field;
   }

   public void setTable_field(String table_field) {
      this.table_field = table_field;
   }

   public String getUserids() {
      return this.userids;
   }

   public void setUserids(String userids) {
      this.userids = userids;
   }
}
